#195 While setting dynamic.service.creation = false get exception

general
closed-fixed
General (90)
9
2005-06-20
2005-05-16
No

While changing the default config:
dynamic.service.creation = false, get the following
exception in the logs while MantaRay is started:

05/16/05 10:23:25 AM [main] INFO MantaAgent :
MantaRay 1.7 initialization started.
______________________________________________
_____________________________________
05/16/05 10:23:25 AM [main] INFO InitManager :
Calling Loader
______________________________________________
_____________________________________
05/16/05 10:23:25 AM [main] INFO NetworkManager :
Local MantaRay layer name is 'limor-pc'.
______________________________________________
_____________________________________
05/16/05 10:23:25 AM [main] FATAL
WorldModelerLoader : can not load world modeler
______________________________________________
_____________________________________
java.lang.NullPointerException
at
org.mr.kernel.world.WorldModelerLoader.createService
(WorldModelerLoader.java:201)
at
org.mr.kernel.world.WorldModelerLoader.load
(WorldModelerLoader.java:153)
at
org.mr.kernel.world.WorldModelerLoader.loadWorldFrom
File(WorldModelerLoader.java:114)
at org.mr.MantaAgent.init
(MantaAgent.java:264)
at guiTest.JMSTestLogicConnection11.init
(JMSTestLogicConnection11.java:244)
at guiTest.JMSTestGui.main
(JMSTestGui.java:570)
05/16/05 10:23:25 AM [main] INFO PluginManager :
PluginManager is starting to load 2 plugins

-------------------------------------------------------------------------------
Also the following exception will be thrown to screen
while trying to set a producer or a consumer:

avax.jms.JMSException: MNTA00007E : DESTINATION
DOES NOT EXIST : <SampleTopic2>

at org.mr.core.util.ExceptionMonitor.shout
(ExceptionMonitor.java:166)
at org.mr.api.jms.MantaSession.createProducer
(MantaSession.java:724)
at
guiTest.JMSTestLogicSession11.advertiseService
(JMSTestLogicSession11.
ava:834)
at guiTest.JMSTestLogicSession11.handle
(JMSTestLogicSession11.java:921)
at org.mr.api.blocks.ScalableStage.handle
(ScalableStage.java:171)

Discussion

  • Amir Shevat

    Amir Shevat - 2005-06-20

    Logged In: YES
    user_id=1038557

    this bug was fixed and tested in mantaray 1.8.

     
  • Amir Shevat

    Amir Shevat - 2005-06-20
    • status: open --> closed-fixed
     

Log in to post a comment.